package com.goafanti.techproject.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonFormat.Shape;

public class TechProjectContractListBo {
	private String	id;

	private String	uid;

	private String	contractId;

	private String	projectName;

	private String	projectCatagory;

	private Integer	state;

	private String	techField;

	private String	principle;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public String getContractId() {
		return contractId;
	}

	public void setContractId(String contractId) {
		this.contractId = contractId;
	}

	public String getProjectName() {
		return projectName;
	}

	public void setProjectName(String projectName) {
		this.projectName = projectName;
	}

	public String getProjectCatagory() {
		return projectCatagory;
	}

	public void setProjectCatagory(String projectCatagory) {
		this.projectCatagory = projectCatagory;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getState() {
		return state;
	}

	public void setState(Integer state) {
		this.state = state;
	}

	public String getTechField() {
		return techField;
	}

	public void setTechField(String techField) {
		this.techField = techField;
	}

	public String getPrinciple() {
		return principle;
	}

	public void setPrinciple(String principle) {
		this.principle = principle;
	}

}
